Loading...
Searching...
No Matches
pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT > Class Template Reference

`#include <pcl/features/ppfrgb.h>`

Inheritance diagram for pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >:

## Public Types

using | Ptr = shared_ptr<PPFRGBRegionEstimation<PointInT, PointNT, PointOutT> >
using | ConstPtr = shared_ptr<const PPFRGBRegionEstimation<PointInT, PointNT, PointOutT> >
using | PointCloudOut = pcl::PointCloud<PointOutT>
Public Types inherited from pcl::FeatureFromNormals< PointInT, PointNT, PointOutT >
using | PointCloudN = pcl::PointCloud<PointNT>
using | PointCloudNPtr = typename PointCloudN::Ptr
using | PointCloudNConstPtr = typename PointCloudN::ConstPtr
using | Ptr = shared_ptr< FeatureFromNormals<PointInT, PointNT, PointOutT> >
using | ConstPtr = shared_ptr< const FeatureFromNormals<PointInT, PointNT, PointOutT> >
Public Types inherited from pcl::Feature< PointInT, PointOutT >
using | BaseClass = PCLBase<PointInT>
using | Ptr = shared_ptr< Feature<PointInT, PointOutT> >
using | ConstPtr = shared_ptr< const Feature<PointInT, PointOutT> >
using | KdTree = pcl::search::Search<PointInT>
using | KdTreePtr = typename KdTree::Ptr
using | PointCloudIn = pcl::PointCloud<PointInT>
using | PointCloudInPtr = typename PointCloudIn::Ptr
using | PointCloudInConstPtr = typename PointCloudIn::ConstPtr
using | PointCloudOut = pcl::PointCloud<PointOutT>
using | SearchMethod = std::function<int (std::size_t, double, pcl::Indices &, std::vector<float> &)>
using | SearchMethodSurface = std::function<int (const PointCloudIn &cloud, std::size_t index, double, pcl::Indices &, std::vector<float> &)>
Public Types inherited from pcl::PCLBase< PointInT >
using | PointCloud
using | PointCloudPtr
using | PointCloudConstPtr
using | PointIndicesPtr
using | PointIndicesConstPtr

## Public Member Functions

| PPFRGBRegionEstimation ()
Public Member Functions inherited from pcl::FeatureFromNormals< PointInT, PointNT, PointOutT >
| FeatureFromNormals ()
| Empty constructor.
void | setInputNormals (const PointCloudNConstPtr &normals)
| Provide a pointer to the input dataset that contains the point normals of the XYZ dataset.
PointCloudNConstPtr | getInputNormals () const
| Get a pointer to the normals of the input XYZ point cloud dataset.
Public Member Functions inherited from pcl::Feature< PointInT, PointOutT >
| Feature ()
| Empty constructor.
void | setSearchSurface (const PointCloudInConstPtr &cloud)
| Provide a pointer to a dataset to add additional information to estimate the features for every point in the input dataset.
PointCloudInConstPtr | getSearchSurface () const
| Get a pointer to the surface point cloud dataset.
void | setSearchMethod (const KdTreePtr &tree)
| Provide a pointer to the search object.
KdTreePtr | getSearchMethod () const
| Get a pointer to the search method used.
double | getSearchParameter () const
| Get the internal search parameter.
void | setKSearch (int k)
| Set the number of k nearest neighbors to use for the feature estimation.
int | getKSearch () const
| get the number of k nearest neighbors used for the feature estimation.
void | setRadiusSearch (double radius)
| Set the sphere radius that is to be used for determining the nearest neighbors used for the feature estimation.
double | getRadiusSearch () const
| Get the sphere radius used for determining the neighbors.
void | compute (PointCloudOut &output)
| Base method for feature estimation for all points given in <setInputCloud (), setIndices ()> using the surface in setSearchSurface () and the spatial locator in setSearchMethod ().
Public Member Functions inherited from pcl::PCLBase< PointInT >
| PCLBase ()
| Empty constructor.
| PCLBase (const PCLBase &base)
| Copy constructor.
virtual | ~PCLBase ()=default
| Destructor.
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset.
PointCloudConstPtr const | getInputCloud () const
| Get a pointer to the input point cloud dataset.
virtual void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (const IndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (std::size_t row_start, std::size_t col_start, std::size_t nb_rows, std::size_t nb_cols)
| Set the indices for the points laying within an interest region of the point cloud.
IndicesPtr | getIndices ()
| Get a pointer to the vector of indices used.
IndicesConstPtr const | getIndices () const
| Get a pointer to the vector of indices used.
const PointInT & | operator[] (std::size_t pos) const
| Override PointCloud operator[] to shorten code.

## Additional Inherited Members

Protected Member Functions inherited from pcl::FeatureFromNormals< PointInT, PointNT, PointOutT >
virtual bool | initCompute ()
| This method should get called before starting the actual computation.
Protected Member Functions inherited from pcl::Feature< PointInT, PointOutT >
const std::string & | getClassName () const
| Get a string representation of the name of this class.
virtual bool | deinitCompute ()
| This method should get called after ending the actual computation.
int | searchForNeighbors (std::size_t index, double parameter, pcl::Indices &indices, std::vector< float > &distances) const
| Search for k-nearest neighbors using the spatial locator from setSearchmethod, and the given surface from setSearchSurface.
int | searchForNeighbors (const PointCloudIn &cloud, std::size_t index, double parameter, pcl::Indices &indices, std::vector< float > &distances) const
| Search for k-nearest neighbors using the spatial locator from setSearchmethod, and the given surface from setSearchSurface.
Protected Member Functions inherited from pcl::PCLBase< PointInT >
bool | initCompute ()
| This method should get called before starting the actual computation.
bool | deinitCompute ()
| This method should get called after finishing the actual computation.
Protected Attributes inherited from pcl::FeatureFromNormals< PointInT, PointNT, PointOutT >
PointCloudNConstPtr | normals_
| A pointer to the input dataset that contains the point normals of the XYZ dataset.
Protected Attributes inherited from pcl::Feature< PointInT, PointOutT >
std::string | feature_name_
| The feature name.
SearchMethodSurface | search_method_surface_
| The search method template for points.
PointCloudInConstPtr | surface_
| An input point cloud describing the surface that is to be used for nearest neighbors estimation.
KdTreePtr | tree_
| A pointer to the spatial search object.
double | search_parameter_
| The actual search parameter (from either search_radius_ or k_).
double | search_radius_
| The nearest neighbors search radius for each point.
int | k_
| The number of K nearest neighbors to use for each point.
bool | fake_surface_
| If no surface is given, we use the input PointCloud as the surface.
Protected Attributes inherited from pcl::PCLBase< PointInT >
PointCloudConstPtr | input_
| The input point cloud dataset.
IndicesPtr | indices_
| A pointer to the vector of point indices to use.
bool | use_indices_
| Set to true if point indices are used.
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud.

## Detailed Description

template<typename PointInT, typename PointNT, typename PointOutT>
class pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >

Definition at line 71 of file ppfrgb.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointInT, typename PointNT, typename PointOutT>

using pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >::ConstPtr = shared_ptr<const PPFRGBRegionEstimation<PointInT, PointNT, PointOutT> >

Definition at line 75 of file ppfrgb.h.

## PointCloudOut

template<typename PointInT, typename PointNT, typename PointOutT>

using pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >::PointCloudOut = pcl::PointCloud<PointOutT>

Definition at line 84 of file ppfrgb.h.

## Ptr

template<typename PointInT, typename PointNT, typename PointOutT>

using pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >::Ptr = shared_ptr<PPFRGBRegionEstimation<PointInT, PointNT, PointOutT> >

Definition at line 74 of file ppfrgb.h.

## Constructor & Destructor Documentation

## PPFRGBRegionEstimation()

template<typename PointInT, typename PointNT, typename PointOutT>

pcl::PPFRGBRegionEstimation< PointInT, PointNT, PointOutT >::PPFRGBRegionEstimation | ( |  | ) |

Definition at line 115 of file ppfrgb.hpp.

References pcl::Feature< PointInT, PointOutT >::feature_name_, and pcl::FeatureFromNormals< PointInT, PointNT, PointOutT >::FeatureFromNormals().

The documentation for this class was generated from the following files:

- pcl/features/ppfrgb.h
- pcl/features/impl/ppfrgb.hpp